Starmade | Turret weapon computer exploit (feature?)
Confirmed task for development, HighPublic

Description

Many people know now, there is a feature with turrets, that feels in my opinion a bit borderline exploity.

Ok, schema implemented the reduction of power for each group, e.g. every additional cannon output increases power by 10% etc.

This can be completely bypassed with turrets. Just make a 1 output cannon system. Then copy paste it. Now turrets fire all weapon systems at once. So it shoots all the cannon systems you copied down as if they were one -without any power penalty. This has completely made the feature of more outputs = more power useless. I do see some players seeing this as a smart engineering choice. I think it shouldn't be a feature though, since it completely removes the point of even having on board cannons on the main ship, instead have super overpowered turrets, that also tend to have better aim than players...

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.200.124
Category
Control Block System: Weapons
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
uncertain
Steps to reproduce

power penalty for AI turrets not working due to the ability of AI to fire all attached weapons at once.

penalty has to be aplied to number of CPUs in use by AI and number of outputs of weapons.

Tester information (Internal use only)

Q:
the point is ... how is that an exploit as long as the AI can only fire on ONE spot with all outputs?

A:
Anything with piercing capabilities of any kind (so, beams or cannons) benefit from multiple outputs even with focused fire as the beams or cannon rounds will 'fan out' from the point of convergence and hit more blocks than a single large beam or cannon round.

Lock-on missiles all target different places on a ship, so launching many missiles at once can be better than one huge missile especially with massive systems where the radius is capped anyway

Serverconfig (server.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Clientconfig (settings.cfg)
 <replace this block with the file content, 
but do not remove the first and last line. 
Before using the paste function, mark the area from the 
opening angle bracket to the closing angle bracket>
Aceface created this task.Sep 20 2017, 10:57 AM
SmilingDemon shifted this object from the S1 Public space to the S3 Starmade space.Oct 1 2017, 1:28 PM
SmilingDemon lowered the priority of this task from "Normal" to "Low".
SmilingDemon changed the visibility from "Custom Policy" to "Public (No Login Required)".
SmilingDemon changed the edit policy from "Task Author" to "Starmade (Project)".
SmilingDemon changed Affected Gamemode(s) from none/unspecified to Single and Multi.
SmilingDemon changed Reproducible from uncertain to Yes.
SmilingDemon changed Category from none/unspecified to Control Block System: Weapons.
SmilingDemon closed this task as "Closed".Oct 1 2017, 1:38 PM

-Feedback-
So .. Copying multiple Weapons (Blocks+Controller) to a single turret is circumventing the 10% penalty on multiple outputs.
However all those outputs from one turret are targeting the same spot on an enemy, right ?
Basically you are wasting all the Controller Blocks Space on the turret for the same effect as you would get for a turret with one output and the same amount of Blocks ?
Because the AI isnt able to choose unfocused fire.

Correct me if i am wrong.

Restricted Application edited projects, added CBS: Weapons; removed Issue Navigation. · View Herald TranscriptOct 1 2017, 1:38 PM
SmilingDemon reopened this task as "Open".Oct 1 2017, 1:41 PM
Restricted Application added a project: Issue Navigation. · View Herald TranscriptOct 1 2017, 1:41 PM
SmilingDemon changed the task status from "Open" to "Feedback".
Restricted Application added a project: Waiting on Author. · View Herald TranscriptOct 1 2017, 1:42 PM
Aceface added a comment.EditedOct 5 2017, 8:26 PM

Yes, they seem to be targeting the same spot, as if it was a single weapon. AI seems to be simply shooting all weapons simultaneosly. Ya, basically in excahnge for using a bunch of computers you can negate the 10% penalty. This becomes a lot worse on bigger ships where the computers make a very small portion of the turret.

Possible solution is to have a few second delay for the ai to switch weapon systems on hotbar. Then a longer delay when ai shoots weapons on different hotbar (when it would have had to press control + number to access the weapons)

Perhaps make so AI cant shoot multiple weapons simultaneously.

Restricted Application edited projects, added Customer responded; removed Waiting on Author. · View Herald TranscriptOct 5 2017, 8:26 PM
Restricted Application changed the task status from "Feedback" to "Open". · View Herald Transcript

Ok . .so we do agree on the workings of it.

the point is ... how is that an exploit as long as the AI can only fire on ONE spot with all outputs ?
is that a real problem in a working scenario ?

SmilingDemon changed the task status from "Open" to "Feedback".Oct 6 2017, 10:25 AM
Restricted Application edited projects, added Waiting on Author; removed Customer responded. · View Herald TranscriptOct 6 2017, 10:25 AM
Ithirahad added a subscriber: Ithirahad.EditedOct 6 2017, 4:29 PM

the point is ... how is that an exploit as long as the AI can only fire on ONE spot with all outputs?

Anything with piercing capabilities of any kind (so, beams or cannons) benefit from multiple outputs even with focused fire as the beams or cannon rounds will 'fan out' from the point of convergence and hit more blocks than a single large beam or cannon round.

Lock-on missiles all target different places on a ship, so launching many missiles at once can be better than one huge missile especially with massive systems where the radius is capped anyway.

Restricted Application edited projects, added Customer responded; removed Waiting on Author. · View Herald TranscriptOct 6 2017, 4:29 PM
Restricted Application changed the task status from "Feedback" to "Open". · View Herald Transcript

OK .. that makes sense now ^^

sorry for not having any clue about that ... i dont shoot stuff usually :P

SmilingDemon edited Tester information (Internal use only). (Show Details)Oct 6 2017, 4:57 PM
SmilingDemon set Last tested (version) to 0.200.114.

The problem is this makes the extra outputs not have any penalty for power. Due to the logarithmic scaling of cannons/beam penetration with group size, more outputs is very powerful for destroying blocks.

SmilingDemon raised the priority of this task from "Low" to "High".Oct 19 2017, 7:14 PM
SmilingDemon edited Steps to reproduce. (Show Details)
SmilingDemon changed Last tested (version) from 0.200.114 to 0.200.124.
Restricted Application added a subscriber: AndyP. · View Herald TranscriptOct 19 2017, 7:15 PM
SmilingDemon changed the task status from "Open" to "In Queue".Oct 19 2017, 7:16 PM

putting in queue
cant test properly right now due to turret bug in Dev build.

description itself however is sound

Restricted Application edited projects, added Game Development; removed Customer responded, Issue Navigation. · View Herald TranscriptOct 19 2017, 7:16 PM
Jeryia added a subscriber: Jeryia.Jan 7 2018, 2:58 PM